package cz.moneta.test.dsl.mwf.findunifiedclient;

import java.util.Map;

public class MWFHK8Data {

    private Map<String, Object> params;

    public MWFHK8Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsIdunifikovanehoklienta() {
        return (Long) params.get("RS_IDUNIFIKOVANEHOKLIENTA");
    }

    public String rsBusinesstarget() {
        return (String) params.get("RS_BUSINESSTARGET");
    }

    public String rsRc() {
        return (String) params.get("RS_RC");
    }

    public String rsIco() {
        return (String) params.get("RS_ICO");
    }

    public String rsIdcustomer() {
        return (String) params.get("RS_IDCUSTOMER");
    }

    public String rsTyposoby() {
        return (String) params.get("RS_TYPOSOBY");
    }

    public java.util.Date rsDatumnarozeni() {
        return (java.util.Date) params.get("RS_DATUMNAROZENI");
    }

    public String rsTitulpred() {
        return (String) params.get("RS_TITULPRED");
    }

    public String rsTitulza() {
        return (String) params.get("RS_TITULZA");
    }

    public String rsJmeno() {
        return (String) params.get("RS_JMENO");
    }

    public String rsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String rsNazev() {
        return (String) params.get("RS_NAZEV");
    }

    public String rsPsc() {
        return (String) params.get("RS_PSC");
    }

    public String rsMesto() {
        return (String) params.get("RS_MESTO");
    }

    public String rsPohlavi() {
        return (String) params.get("RS_POHLAVI");
    }

    public String rsZeme() {
        return (String) params.get("RS_ZEME");
    }

    public String rsPravniforma() {
        return (String) params.get("RS_PRAVNIFORMA");
    }

    public String rsStatniprislusnost() {
        return (String) params.get("RS_STATNIPRISLUSNOST");
    }

    public String rsCislopopisne() {
        return (String) params.get("RS_CISLOPOPISNE");
    }

    public Long rsIdkonsolidovanehoklienta() {
        return (Long) params.get("RS_IDKONSOLIDOVANEHOKLIENTA");
    }

    public Long rsId101instance() {
        return (Long) params.get("RS_ID101INSTANCE");
    }

    public String rsUlice() {
        return (String) params.get("RS_ULICE");
    }

    public String rsCisloorientacni() {
        return (String) params.get("RS_CISLOORIENTACNI");
    }

    public String rsCif() {
        return (String) params.get("RS_CIF");
    }

    public Long rsIdcustomercount() {
        return (Long) params.get("RS_IDCUSTOMERCOUNT");
    }

    public String rsStavmanualunifikace() {
        return (String) params.get("RS_STAVMANUALUNIFIKACE");
    }

    public java.util.Date rsUmrtidatum() {
        return (java.util.Date) params.get("RS_UMRTIDATUM");
    }

    public Long rsUmrtipriznak() {
        return (Long) params.get("RS_UMRTIPRIZNAK");
    }

}